CRYPTO_CIPHER_BLOCKS(9)

NAME
crypto_cipher_blocksize - obtain block size for cipher

SYNOPSIS

unsigned int crypto_cipher_blocksize(struct crypto_cipher * tfm);

ARGUMENTS

tfm
    cipher handle

DESCRIPTION

The block size for the single block cipher referenced with the cipher handle tfm is returned. The caller may use that information to allocate appropriate memory for the data returned by the encryption or decryption operation

RETURN

block size of cipher

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT